> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/curliness.md).

# Curliness

Haut.AI provides an AI algorithm that estimates hair curliness. Response scheme for Hair Metrics 2.0.

## **Description**

Hair type and texture are mostly determined by genetics and the environment. Hair texture can change with age and can be affected by hormonal shifts occurring in the body during pregnancy or menopause. Hair texture is also affected by the sebum production in the scalp skin that decreases with age due to the shrinking of the sebaceous glands. This metric is also affected by the way the hair is styled and treated.

**`"algorithm_tech_name": "curliness"`**

## `area_name`

The algorithm returns metrics for the following area:

* `hair`

## `main_metric`

The main metric indicates the hair curliness category for `area_name`

```javascript
"main_metric": {
                "value": "Straight",
                "widget_type": "category",
                "name": "Curliness",
                "tech_name": "curliness",
                "widget_meta": null
            },
```

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MWxBX_zB4FnflOpyBGO%2F-Mhm_aYjhhEuL8WeJTgC%2F-MhmaAH_i2gTJcIavkxo%2F%D0%94%D0%BE%D0%BA%D1%82%D0%BE%D1%80%202_6.jpeg?alt=media\&token=9e23a831-86bc-48c5-9e5e-33148dc9a5f5)

* **`value`** of hair curliness is divided into four classes, as listed below:
  * `Straight`
  * `Wavy`
  * `Curly`
  * `Kinky`
* `"widget_type": "category"`
* `"name": "Curliness"`
* `"tech_name": "curliness"`

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/curliness.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
